# Class: tomcat
#
# This module manages tomcat
#
# Parameters: none
#
# Actions:
#
# Requires: see Modulefile
#
# Sample Usage:
#
class tomcat (
  $jredownloadversion = '7',
  $tomcatversion      = '7.0.56',
  $log4jextraversion  = '1.2.17',
  $log4jversion       = '1.2.17',
  $aprversion         = '1.5.1',
  $aprutilversion     = '1.5.4',
  $jdkversion         = 'jdk1.7.0_76',
  $jreversion         = 'server-jre-7u76-linux-x64.tar.gz',) {
  include ::archive
  include ::stdlib

  class { '::tomcat::javaora': }

  class { '::tomcat::tomcatora': }

  class { '::tomcat::tomcatapiconf': }
}